import React, { Fragment } from 'react'
import { get } from 'lodash'
import { Field } from 'redux-form'
import styled from 'styled-components'
import { H2, Icon } from '@pubsweet/ui'
import { Row, Text, WizardFiles } from 'pubsweet-component-faraday-ui'

import { Empty } from './'

const StepThree = ({
  token,
  version,
  project,
  changeForm,
  deleteFile,
  uploadFile,
  filesError,
  getSignedUrl,
}) => (
  <Fragment>
    <H2>3. Manuscript Files Upload</H2>
    <Row mb={2}>
      <Text align="center" display="inline-block" secondary>
        Drag & drop files in the specific section or click{' '}
        <CustomIcon secondary size={2}>
          plus
        </CustomIcon>{' '}
        to upload. Use the{' '}
        <CustomIcon secondary size={2}>
          menu
        </CustomIcon>{' '}
        icon to reorder or move files to a different type.
      </Text>
    </Row>

    <Field component={Empty} name="files" />
    <WizardFiles
      changeForm={changeForm}
      deleteFile={deleteFile}
      files={get(version, 'files', {})}
      getSignedUrl={getSignedUrl}
      project={project}
      token={token}
      uploadFile={uploadFile}
      version={version}
    />
    {filesError && (
      <Row justify="flex-start" mt={1}>
        <Text error>{filesError}</Text>
      </Row>
    )}
  </Fragment>
)

export default StepThree

// #region styled-components
const CustomIcon = styled(Icon)`
  vertical-align: sub;
`
// #endregion
