import React, { Fragment } from 'react'
import { ActionLink, Text, Row } from 'pubsweet-component-faraday-ui'

const SubmissionStatement = () => (
  <Fragment>
    <Row mb={1} mt={2}>
      <Text>
        This manuscript is not currently submitted to or under consideration in
        any other journals.
      </Text>
    </Row>

    <Row mb={1}>
      <Text>
        The manuscript complies with all relevant{' '}
        <ActionLink to="https://www.hindawi.com/ethics/">
          publication and research ethics policies.
        </ActionLink>
      </Text>
    </Row>

    <Row mb={3}>
      <Text>
        You have read and understood the{' '}
        <ActionLink to="https://www.hindawi.com/terms/">
          terms of service
        </ActionLink>{' '}
        and{' '}
        <ActionLink to="https://www.hindawi.com/privacy/">
          privacy policy
        </ActionLink>{' '}
        under which this manuscript will be processed.
      </Text>
    </Row>
  </Fragment>
)

export default SubmissionStatement
